#!/bin/bash

set -e

mkdir -p /config /data
cat << EOF > "/config/config.toml"

run_every = "1m"

ignore_meshviewer = "6d"
ignore_node = "6h"

status_json = "/data/status.json"

[dataPaths]
"http://db.leipzig.freifunk.net/uptime/meshviewer.json" = "meshkit"

[yanic_connection]
type          = "udp6"
address       = "localhost:10011"
EOF

exec /bin/meshviewer-collector collect --config /config/config.toml
